/*
Copyright 2012 Jun Wako <wakojun@gmail.com>
Copyright 2016 D. F. Hall

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#include <avr/io.h>
#include "stdint.h"
#include "led.h"

/* C7 is CapsLock LED */
void led_set(uint8_t led)
{
    if (led & (1<<USB_LED_CAPS_LOCK)) {
        // C7 shorts to GND
        DDRC |= (1<<7);
        PORTC &= ~(1<<7);
    } else {
        // disable C7 (Hi-Z) 
        DDRC &= ~(1<<7);
        PORTC &= ~(1<<7);
    }
}
